Name:           python-pyneuroml
Version:        1.3.19
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python utilities for NeuroML

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-3.0-only
URL:            https://github.com/NeuroML/pyNeuroML
Source:         %{pypi_source pyneuroml}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyneuroml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyneuroml
Summary:        %{summary}

%description -n python3-pyneuroml %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyneuroml all,analysis,annotations,brian,combine,dev,doc,hdf5,jupyter,netpyne,neuron,nsg,plotly,povray,tellurium,tune,vispy,vispy-common,vispy-qt5


%prep
%autosetup -p1 -n pyneuroml-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,analysis,annotations,brian,combine,dev,doc,hdf5,jupyter,netpyne,neuron,nsg,plotly,povray,tellurium,tune,vispy,vispy-common,vispy-qt5


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyneuroml -f %{pyproject_files}


%changelog
%autochangelog